Package org.springframework.web.servlet.tags

# Class Param

java.lang.Object
org.springframework.web.servlet.tags.Param

public class Param extends Object
Bean used to pass name-value pair parameters from a `ParamTag` to a `ParamAware` tag.

Attributes are the raw values passed to the spring:param tag and have not been encoded or escaped.

Since:
  3.0
Author:
  Scott Andrews
See Also:
  - `ParamTag`

## Constructor Summary

Constructors
Constructor
Description
`Param()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Return the raw parameter name.
`String`
`getValue()`
Return the raw parameter value.
`void`
`setName(String name)`
Set the raw name of the parameter.
`void`
`setValue(String value)`
Set the raw value of the parameter.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Param

public Param()

## Method Details

### setName

public void setName(@Nullable String name)
Set the raw name of the parameter.

### getName

@Nullable public String getName()
Return the raw parameter name.

### setValue

public void setValue(@Nullable String value)
Set the raw value of the parameter.

### getValue

@Nullable public String getValue()
Return the raw parameter value.

### toString

public String toString()

Overrides:
  `toString` in class `Object`